Subject: Re: [urn] Namespace application v3: reso

From: [email-masked]
Date: Wed, 16 Dec 2020 18:03:14 +0100

Sam, all,

Please accept my apologies as well.

I have one observation: The I-D uses "ulid" as an example of a sub-namespace for "reso". Looking at the reso webpage about "unique licensee identifier" that page uses the abbreviation "uli" instead of "ulid" [1]. Similarily the "unique organisation identifier" page uses "uoi" while your second example uses "org" for the organisation identifier [2]. Is this something you might want to streamline before submitting the draft? I'm fine either way.

[1] https://www.reso.org/unique-licensee-identifier/
[2] https://www.reso.org/unique-organization-identifier/

Best,

Lars

Technically the document is fine with me, so I'd be willing to accept it as-is.

> Gesendet: Donnerstag, 19. November 2020 um 04:52 Uhr
> Von: "Dale R. Worley" <[email-masked]>
> An: "Sam DeBord" <[email-masked]>
> Cc: [email-masked], [email-masked]
> Betreff: Re: [urn] Namespace application v3: reso
>
> Sam DeBord <[email-masked]> writes:
> > Could RESO receive an update on this namespace request? Thank you.
>
> My apologies for neglecting this, especially as I've been one of the
> critics of earlier versions.
>
> Looking at the version that accompanied the message I'm responding to.
> (For clarity, I copy that part of the message below.)  The future uses
> of reso URNs are still rather unformed, but that is quite reasonable
> that this stage.  Clearly, you've put thought into how you would use
> URNs.  And I think that is sufficient to approve this proposal.
>
> I would suggest you give the text a final careful editing.  E.g., it
> contains 'This link shows the "Property" resource', but no link is
> given.
>
> Dale
>
> >>> Namespace Identifier:
> >>>
> >>>    reso
> >>>
> >>> Version:
> >>>
> >>>    0.1
> >>>
> >>> Date:
> >>>
> >>>    2020-03-08
> >>>
> >>> Registrant:
> >>>
> >>> Real Estate Standards Organization
> >>>
> >>> Sam DeBord, CEO
> >>>
> >>> [email-masked] -- 919.504.9898
> >>>
> >>> Purpose:
> >>>
> >>> The Namespace Identifier (NID) "reso" for Uniform Resource Names
> >>> (URNs) will be used to identify resources published by Real Estate
> >>> Standards Organization: RESO <https://reso.org>.
> >>>
> >>>
> >>> These might include published standards or protocols that RESO
> >>> defines and that make use of URNs.  These namespaces are globally
> >>> unique.  The URN namespace will be used in public networks by clients to
> >>> configure and manage resources in the network.  Servers will enforce the
> >>> uniqueness of the namespaces by using the namespace and the XPath
> >>> associated with the managed node in the network when accessing a resource.
> >>>
> >>>
> >>>
> >>> Examples of proposed uses:
> >>>
> >>>
> >>>
> >>>
> >>> Representation of Unique Licensee IDs: These will have the form of
> >>> urn:reso:ulid:x, where x is a specific licensee identifier. Licensees can
> >>> be people like Agents, photographers, appraisers, and others involved in
> >>> the transaction.
> >>>
> >>>
> >>>
> >>> Recorder IDs: These are part of an event model proposal, in which the URN
> >>> will take a form of urn:reso:recorder:org:x, where org is an organization
> >>> id well-known to RESO and x is identifier of the recording entity in that
> >>> organization.
> >>>
> >>>
> >>>
> >>> References to RESO Data Dictionary items: These are already established
> >>> in our ecosystem. This link shows the "Property" resource, which consists
> >>> of fields and enumerations. Each field has a RESO-generated RecordID
> >>> associated with it (or LookupID in the case of enumerated values). For
> >>> example, the PropertySubType field has a RecordID of 100222, and one of the
> >>> allowed values for that field is Apartment, which is part of Lookup Field
> >>> ID 302000 and has LookupID 302001. These would have URNs of the form:
> >>> urn:reso:rid:100222, urn:reso:lfid:302000, and urn:reso:lid:302001,
> >>> respectively.
> >>>
> >>> Syntax:
> >>>
> >>>    The syntax of Namespace Specific Strings for the "reso" namespace
> >>>    is <NSS> in Uniform Resource Names (URNs) [RFC8141].
> >>>
> >>> The entire URN is case-insensitive.
> >>>
> >>> Assignment:
> >>>
> >>>    RESO will maintain the list of registered resources that use the
> >>>    "reso" NID in the "RESO URN Namespace" standards at
> >>>    <https://www.reso.org/>.
> >>>
> >>>    The RESO workgroups describe the <NSS>, how namespaces will be
> >>> allocated, and how experimental namespaces can
> >>>    be used within the allocated URN.
> >>>
> >>>    RESO will manage resource classes using the "reso" NID and will be
> >>>    the authority for managing resources and associated subsequent
> >>>    strings.  RESO will guarantee the uniqueness of the strings by
> >>>    validating them against the existing content of the standards.
> >>>    RESO may also permit secondary responsibility for certain defined
> >>>    resources.  Once a subtree assignment is made, it cannot be
> >>>    deleted or reassigned.
> >>>
> >>>    RESO may allow use of experimental type values in specific
> >>>    subtrees for testing purposes only.  Note that using experimental
> >>>    types may create collision as multiple users may use the same
> >>>    values for different resources and specific strings.  All
> >>>    experimentation must follow the guidance set forth in "A Uniform
> >>>    Resource Name (URN) Namespace for Examples" [RFC6963].
> >>>
> >>> Security and Privacy:
> >>>
> >>>    There are no additional security considerations other than those
> >>>    normally associated with the use and resolution of URNs in general.
> >>>
> >>> Interoperability:
> >>>
> >>>    There are no known interoperability issues at this time.
> >>>
> >>> Resolution:
> >>>
> >>>    It is not foreseen that URNs within this namespace will undergo
> >>>    resolution.
> >>>
> >>> Documentation:
> >>>
> >>>    Documentation can be found at
> >>>    <https://www.reso.org>
>
> _______________________________________________
> urn mailing list
> [email-masked]
> https://www.ietf.org/mailman/listinfo/urn
>